import * as axios from 'axios';
import { AxiosRequestConfig, AxiosInstance, AxiosPromise } from 'axios';

/**
 * Switchboard Blocks API
 * The Switchboard Blocks API
 *
 * The version of the OpenAPI document: 0.0.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
interface ConfigurationParameters {
    apiKey?: string | Promise<string> | ((name: string) => string) | ((name: string) => Promise<string>);
    username?: string;
    password?: string;
    accessToken?: string | Promise<string> | ((name?: string, scopes?: string[]) => string) | ((name?: string, scopes?: string[]) => Promise<string>);
    basePath?: string;
    baseOptions?: any;
    formDataCtor?: new () => any;
}
declare class Configuration {
    /**
     * parameter for apiKey security
     * @param name security name
     * @memberof Configuration
     */
    apiKey?: string | Promise<string> | ((name: string) => string) | ((name: string) => Promise<string>);
    /**
     * parameter for basic security
     *
     * @type {string}
     * @memberof Configuration
     */
    username?: string;
    /**
     * parameter for basic security
     *
     * @type {string}
     * @memberof Configuration
     */
    password?: string;
    /**
     * parameter for oauth2 security
     * @param name security name
     * @param scopes oauth2 scope
     * @memberof Configuration
     */
    accessToken?: string | Promise<string> | ((name?: string, scopes?: string[]) => string) | ((name?: string, scopes?: string[]) => Promise<string>);
    /**
     * override base path
     *
     * @type {string}
     * @memberof Configuration
     */
    basePath?: string;
    /**
     * base options for axios calls
     *
     * @type {any}
     * @memberof Configuration
     */
    baseOptions?: any;
    /**
     * The FormData constructor that will be used to create multipart form data
     * requests. You can inject this here so that execution environments that
     * do not support the FormData class can still run the generated client.
     *
     * @type {new () => FormData}
     */
    formDataCtor?: new () => any;
    constructor(param?: ConfigurationParameters);
    /**
     * Check if the given MIME is a JSON MIME.
     * JSON MIME examples:
     *   application/json
     *   application/json; charset=UTF8
     *   APPLICATION/JSON
     *   application/vnd.company+json
     * @param mime - MIME (Multipurpose Internet Mail Extensions)
     * @return True if the given MIME is JSON, false otherwise.
     */
    isJsonMime(mime: string): boolean;
}

/**
 * Switchboard Blocks API
 * The Switchboard Blocks API
 *
 * The version of the OpenAPI document: 0.0.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

/**
 *
 * @export
 * @interface RequestArgs
 */
interface RequestArgs {
    url: string;
    options: AxiosRequestConfig;
}
/**
 *
 * @export
 * @class BaseAPI
 */
declare class BaseAPI {
    protected basePath: string;
    protected axios: AxiosInstance;
    protected configuration: Configuration | undefined;
    constructor(configuration?: Configuration, basePath?: string, axios?: AxiosInstance);
}

/**
 *
 * @export
 * @interface BadRequestErrorResponseBody
 */
interface BadRequestErrorResponseBody {
    /**
     *
     * @type {BadRequestErrorResponseBodyCode}
     * @memberof BadRequestErrorResponseBody
     */
    'code': BadRequestErrorResponseBodyCode;
    /**
     *
     * @type {string}
     * @memberof BadRequestErrorResponseBody
     */
    'details': string;
}
/**
 *
 * @export
 * @interface BadRequestErrorResponseBodyCode
 */
interface BadRequestErrorResponseBodyCode {
}
/**
 *
 * @export
 * @interface BlockIntent
 */
interface BlockIntent {
}
/**
 *
 * @export
 * @interface BlockIntentRequestParams
 */
interface BlockIntentRequestParams {
    /**
     *
     * @type {string}
     * @memberof BlockIntentRequestParams
     */
    'uid': string;
    /**
     *
     * @type {BlockIntent}
     * @memberof BlockIntentRequestParams
     */
    'intent': BlockIntent;
}
/**
 *
 * @export
 * @interface BlockQueryString
 */
interface BlockQueryString {
    /**
     *
     * @type {number}
     * @memberof BlockQueryString
     */
    'version': number;
    /**
     *
     * @type {string}
     * @memberof BlockQueryString
     */
    'userIdentifier': string;
    /**
     *
     * @type {string}
     * @memberof BlockQueryString
     */
    'groupIdentifier'?: string;
}
/**
 *
 * @export
 * @interface BlockRequestParams
 */
interface BlockRequestParams {
    /**
     *
     * @type {string}
     * @memberof BlockRequestParams
     */
    'uid': string;
    /**
     *
     * @type {BlockIntent}
     * @memberof BlockRequestParams
     */
    'intent'?: BlockIntent;
}
/**
 *
 * @export
 * @enum {string}
 */
declare const CompleteIntent: {
    readonly Complete: "complete";
};
type CompleteIntent = typeof CompleteIntent[keyof typeof CompleteIntent];
/**
 *
 * @export
 * @enum {string}
 */
declare const ExitIntent: {
    readonly Exit: "exit";
};
type ExitIntent = typeof ExitIntent[keyof typeof ExitIntent];
/**
 *
 * @export
 * @interface FlowIntent
 */
interface FlowIntent {
}
/**
 *
 * @export
 * @interface FlowIntentIntentParameter
 */
interface FlowIntentIntentParameter {
}
/**
 *
 * @export
 * @interface FlowIntentRequestParams
 */
interface FlowIntentRequestParams {
    /**
     *
     * @type {string}
     * @memberof FlowIntentRequestParams
     */
    'uid': string;
    /**
     *
     * @type {FlowIntentIntentParameter}
     * @memberof FlowIntentRequestParams
     */
    'intent'?: FlowIntentIntentParameter;
}
/**
 *
 * @export
 * @interface FlowQueryString
 */
interface FlowQueryString {
    /**
     *
     * @type {number}
     * @memberof FlowQueryString
     */
    'version': number;
    /**
     *
     * @type {string}
     * @memberof FlowQueryString
     */
    'userIdentifier': string;
    /**
     *
     * @type {string}
     * @memberof FlowQueryString
     */
    'groupIdentifier'?: string;
    /**
     *
     * @type {boolean}
     * @memberof FlowQueryString
     */
    'include[block]'?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof FlowQueryString
     */
    'include[block][journey]'?: boolean;
}
/**
 *
 * @export
 * @interface FlowRequestParams
 */
interface FlowRequestParams {
    /**
     *
     * @type {string}
     * @memberof FlowRequestParams
     */
    'uid': string;
    /**
     *
     * @type {string}
     * @memberof FlowRequestParams
     */
    'intent'?: string;
}
/**
 *
 * @export
 * @interface FlowResponseBody
 */
interface FlowResponseBody {
    /**
     *
     * @type {string}
     * @memberof FlowResponseBody
     */
    'kind': FlowResponseBodyKindEnum;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBody
     */
    'type': FlowResponseBodyTypeEnum;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBody
     */
    'uid': string;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBody
     */
    'sid': string;
    /**
     *
     * @type {number}
     * @memberof FlowResponseBody
     */
    'version': number;
    /**
     *
     * @type {FlowResponseBodyState}
     * @memberof FlowResponseBody
     */
    'state': FlowResponseBodyState;
    /**
     *
     * @type {Array<FlowResponseBodyBlocksInner>}
     * @memberof FlowResponseBody
     */
    'blocks'?: Array<FlowResponseBodyBlocksInner>;
}
declare const FlowResponseBodyKindEnum: {
    readonly Flow: "flow";
};
type FlowResponseBodyKindEnum = typeof FlowResponseBodyKindEnum[keyof typeof FlowResponseBodyKindEnum];
declare const FlowResponseBodyTypeEnum: {
    readonly Flow: "flow";
};
type FlowResponseBodyTypeEnum = typeof FlowResponseBodyTypeEnum[keyof typeof FlowResponseBodyTypeEnum];
/**
 *
 * @export
 * @interface FlowResponseBodyBlocksInner
 */
interface FlowResponseBodyBlocksInner {
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInner
     */
    'kind': FlowResponseBodyBlocksInnerKindEnum;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInner
     */
    'uid': string;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInner
     */
    'sid': string;
    /**
     *
     * @type {number}
     * @memberof FlowResponseBodyBlocksInner
     */
    'version': number;
    /**
     *
     * @type {GroupState}
     * @memberof FlowResponseBodyBlocksInner
     */
    'state': GroupState;
    /**
     *
     * @type {string}
     * @memberof FlowResponseBodyBlocksInner
     */
    'type': FlowResponseBodyBlocksInnerTypeEnum;
    /**
     *
     * @type {Array<ModelFieldsInner>}
     * @memberof FlowResponseBodyBlocksInner
     */
    'fields': Array<ModelFieldsInner>;
    /**
     *
     * @type {number}
     * @memberof FlowResponseBodyBlocksInner
     */
    'size': number;
    /**
     *
     * @type {Array<Model>}
     * @memberof FlowResponseBodyBlocksInner
     */
    'blocks': Array<Model>;
    /**
     *
     * @type {boolean}
     * @memberof FlowResponseBodyBlocksInner
     */
    'ordered'?: boolean;
}
declare const FlowResponseBodyBlocksInnerKindEnum: {
    readonly Block: "block";
};
type FlowResponseBodyBlocksInnerKindEnum = typeof FlowResponseBodyBlocksInnerKindEnum[keyof typeof FlowResponseBodyBlocksInnerKindEnum];
declare const FlowResponseBodyBlocksInnerTypeEnum: {
    readonly Set: "set";
};
type FlowResponseBodyBlocksInnerTypeEnum = typeof FlowResponseBodyBlocksInnerTypeEnum[keyof typeof FlowResponseBodyBlocksInnerTypeEnum];
/**
 *
 * @export
 * @interface FlowResponseBodyState
 */
interface FlowResponseBodyState {
    /**
     *
     * @type {boolean}
     * @memberof FlowResponseBodyState
     */
    'exited': boolean;
    /**
     *
     * @type {boolean}
     * @memberof FlowResponseBodyState
     */
    'started': boolean;
    /**
     *
     * @type {boolean}
     * @memberof FlowResponseBodyState
     */
    'completed': boolean;
}
/**
 *
 * @export
 * @enum {string}
 */
declare const GoToIntent: {
    readonly GoTo: "goTo";
};
type GoToIntent = typeof GoToIntent[keyof typeof GoToIntent];
/**
 *
 * @export
 * @interface GoToQueryString
 */
interface GoToQueryString {
    /**
     *
     * @type {number}
     * @memberof GoToQueryString
     */
    'version': number;
    /**
     *
     * @type {string}
     * @memberof GoToQueryString
     */
    'userIdentifier': string;
    /**
     *
     * @type {string}
     * @memberof GoToQueryString
     */
    'groupIdentifier'?: string;
    /**
     *
     * @type {string}
     * @memberof GoToQueryString
     */
    'blockUid': string;
}
/**
 *
 * @export
 * @interface Group
 */
interface Group {
    /**
     *
     * @type {string}
     * @memberof Group
     */
    'kind': GroupKindEnum;
    /**
     *
     * @type {string}
     * @memberof Group
     */
    'uid': string;
    /**
     *
     * @type {string}
     * @memberof Group
     */
    'sid': string;
    /**
     *
     * @type {number}
     * @memberof Group
     */
    'version': number;
    /**
     *
     * @type {GroupState}
     * @memberof Group
     */
    'state': GroupState;
    /**
     *
     * @type {number}
     * @memberof Group
     */
    'size': number;
    /**
     *
     * @type {Array<Model>}
     * @memberof Group
     */
    'blocks': Array<Model>;
    /**
     *
     * @type {string}
     * @memberof Group
     */
    'type': GroupTypeEnum;
    /**
     *
     * @type {boolean}
     * @memberof Group
     */
    'ordered'?: boolean;
}
declare const GroupKindEnum: {
    readonly Block: "block";
};
type GroupKindEnum = typeof GroupKindEnum[keyof typeof GroupKindEnum];
declare const GroupTypeEnum: {
    readonly Set: "set";
};
type GroupTypeEnum = typeof GroupTypeEnum[keyof typeof GroupTypeEnum];
/**
 *
 * @export
 * @interface GroupState
 */
interface GroupState {
    /**
     *
     * @type {boolean}
     * @memberof GroupState
     */
    'active': boolean;
    /**
     *
     * @type {boolean}
     * @memberof GroupState
     */
    'completed': boolean;
}
/**
 *
 * @export
 * @interface HealthCheckResponseBody
 */
interface HealthCheckResponseBody {
    /**
     *
     * @type {string}
     * @memberof HealthCheckResponseBody
     */
    'application': string;
    /**
     *
     * @type {number}
     * @memberof HealthCheckResponseBody
     */
    'status': number;
}
/**
 *
 * @export
 * @interface InternalServerErrorResponseBody
 */
interface InternalServerErrorResponseBody {
    /**
     *
     * @type {InternalServerErrorResponseBodyCode}
     * @memberof InternalServerErrorResponseBody
     */
    'code': InternalServerErrorResponseBodyCode;
    /**
     *
     * @type {string}
     * @memberof InternalServerErrorResponseBody
     */
    'details': string;
}
/**
 *
 * @export
 * @interface InternalServerErrorResponseBodyCode
 */
interface InternalServerErrorResponseBodyCode {
}
/**
 *
 * @export
 * @interface Model
 */
interface Model {
    /**
     *
     * @type {string}
     * @memberof Model
     */
    'kind': ModelKindEnum;
    /**
     *
     * @type {string}
     * @memberof Model
     */
    'uid': string;
    /**
     *
     * @type {string}
     * @memberof Model
     */
    'sid': string;
    /**
     *
     * @type {number}
     * @memberof Model
     */
    'version': number;
    /**
     *
     * @type {GroupState}
     * @memberof Model
     */
    'state': GroupState;
    /**
     *
     * @type {string}
     * @memberof Model
     */
    'type': ModelTypeEnum;
    /**
     *
     * @type {Array<ModelFieldsInner>}
     * @memberof Model
     */
    'fields': Array<ModelFieldsInner>;
}
declare const ModelKindEnum: {
    readonly Block: "block";
};
type ModelKindEnum = typeof ModelKindEnum[keyof typeof ModelKindEnum];
declare const ModelTypeEnum: {
    readonly Model: "model";
};
type ModelTypeEnum = typeof ModelTypeEnum[keyof typeof ModelTypeEnum];
/**
 *
 * @export
 * @interface ModelFieldsInner
 */
interface ModelFieldsInner {
    /**
     *
     * @type {string}
     * @memberof ModelFieldsInner
     */
    'sid': string;
    /**
     *
     * @type {string}
     * @memberof ModelFieldsInner
     */
    'type': ModelFieldsInnerTypeEnum;
    /**
     *
     * @type {ModelFieldsInnerAnyOf2Value}
     * @memberof ModelFieldsInner
     */
    'value': ModelFieldsInnerAnyOf2Value;
}
declare const ModelFieldsInnerTypeEnum: {
    readonly Boolean: "boolean";
};
type ModelFieldsInnerTypeEnum = typeof ModelFieldsInnerTypeEnum[keyof typeof ModelFieldsInnerTypeEnum];
/**
 *
 * @export
 * @interface ModelFieldsInnerAnyOf
 */
interface ModelFieldsInnerAnyOf {
    /**
     *
     * @type {string}
     * @memberof ModelFieldsInnerAnyOf
     */
    'sid': string;
    /**
     *
     * @type {string}
     * @memberof ModelFieldsInnerAnyOf
     */
    'type': ModelFieldsInnerAnyOfTypeEnum;
    /**
     *
     * @type {ModelFieldsInnerAnyOfValue}
     * @memberof ModelFieldsInnerAnyOf
     */
    'value': ModelFieldsInnerAnyOfValue;
}
declare const ModelFieldsInnerAnyOfTypeEnum: {
    readonly String: "string";
};
type ModelFieldsInnerAnyOfTypeEnum = typeof ModelFieldsInnerAnyOfTypeEnum[keyof typeof ModelFieldsInnerAnyOfTypeEnum];
/**
 *
 * @export
 * @interface ModelFieldsInnerAnyOf1
 */
interface ModelFieldsInnerAnyOf1 {
    /**
     *
     * @type {string}
     * @memberof ModelFieldsInnerAnyOf1
     */
    'sid': string;
    /**
     *
     * @type {string}
     * @memberof ModelFieldsInnerAnyOf1
     */
    'type': ModelFieldsInnerAnyOf1TypeEnum;
    /**
     *
     * @type {ModelFieldsInnerAnyOf1Value}
     * @memberof ModelFieldsInnerAnyOf1
     */
    'value': ModelFieldsInnerAnyOf1Value;
}
declare const ModelFieldsInnerAnyOf1TypeEnum: {
    readonly Number: "number";
};
type ModelFieldsInnerAnyOf1TypeEnum = typeof ModelFieldsInnerAnyOf1TypeEnum[keyof typeof ModelFieldsInnerAnyOf1TypeEnum];
/**
 *
 * @export
 * @interface ModelFieldsInnerAnyOf1Value
 */
interface ModelFieldsInnerAnyOf1Value {
}
/**
 *
 * @export
 * @interface ModelFieldsInnerAnyOf2
 */
interface ModelFieldsInnerAnyOf2 {
    /**
     *
     * @type {string}
     * @memberof ModelFieldsInnerAnyOf2
     */
    'sid': string;
    /**
     *
     * @type {string}
     * @memberof ModelFieldsInnerAnyOf2
     */
    'type': ModelFieldsInnerAnyOf2TypeEnum;
    /**
     *
     * @type {ModelFieldsInnerAnyOf2Value}
     * @memberof ModelFieldsInnerAnyOf2
     */
    'value': ModelFieldsInnerAnyOf2Value;
}
declare const ModelFieldsInnerAnyOf2TypeEnum: {
    readonly Boolean: "boolean";
};
type ModelFieldsInnerAnyOf2TypeEnum = typeof ModelFieldsInnerAnyOf2TypeEnum[keyof typeof ModelFieldsInnerAnyOf2TypeEnum];
/**
 *
 * @export
 * @interface ModelFieldsInnerAnyOf2Value
 */
interface ModelFieldsInnerAnyOf2Value {
}
/**
 *
 * @export
 * @interface ModelFieldsInnerAnyOfValue
 */
interface ModelFieldsInnerAnyOfValue {
}
/**
 *
 * @export
 * @enum {string}
 */
declare const NextIntent: {
    readonly Next: "next";
};
type NextIntent = typeof NextIntent[keyof typeof NextIntent];
/**
 *
 * @export
 * @interface NotFoundErrorResponseBody
 */
interface NotFoundErrorResponseBody {
    /**
     *
     * @type {NotFoundErrorResponseBodyCode}
     * @memberof NotFoundErrorResponseBody
     */
    'code': NotFoundErrorResponseBodyCode;
    /**
     *
     * @type {string}
     * @memberof NotFoundErrorResponseBody
     */
    'details': string;
}
/**
 *
 * @export
 * @interface NotFoundErrorResponseBodyCode
 */
interface NotFoundErrorResponseBodyCode {
}
/**
 *
 * @export
 * @enum {string}
 */
declare const PrevIntent: {
    readonly Prev: "prev";
};
type PrevIntent = typeof PrevIntent[keyof typeof PrevIntent];
/**
 *
 * @export
 * @enum {string}
 */
declare const ResetIntent: {
    readonly Reset: "reset";
};
type ResetIntent = typeof ResetIntent[keyof typeof ResetIntent];
/**
 *
 * @export
 * @interface SerializableBlock
 */
interface SerializableBlock {
    /**
     *
     * @type {string}
     * @memberof SerializableBlock
     */
    'kind': SerializableBlockKindEnum;
    /**
     *
     * @type {string}
     * @memberof SerializableBlock
     */
    'uid': string;
    /**
     *
     * @type {string}
     * @memberof SerializableBlock
     */
    'sid': string;
    /**
     *
     * @type {number}
     * @memberof SerializableBlock
     */
    'version': number;
    /**
     *
     * @type {GroupState}
     * @memberof SerializableBlock
     */
    'state': GroupState;
    /**
     *
     * @type {string}
     * @memberof SerializableBlock
     */
    'type': SerializableBlockTypeEnum;
    /**
     *
     * @type {Array<ModelFieldsInner>}
     * @memberof SerializableBlock
     */
    'fields': Array<ModelFieldsInner>;
    /**
     *
     * @type {number}
     * @memberof SerializableBlock
     */
    'size': number;
    /**
     *
     * @type {Array<Model>}
     * @memberof SerializableBlock
     */
    'blocks': Array<Model>;
    /**
     *
     * @type {boolean}
     * @memberof SerializableBlock
     */
    'ordered'?: boolean;
}
declare const SerializableBlockKindEnum: {
    readonly Block: "block";
};
type SerializableBlockKindEnum = typeof SerializableBlockKindEnum[keyof typeof SerializableBlockKindEnum];
declare const SerializableBlockTypeEnum: {
    readonly Set: "set";
};
type SerializableBlockTypeEnum = typeof SerializableBlockTypeEnum[keyof typeof SerializableBlockTypeEnum];
/**
 *
 * @export
 * @interface SerializableFlow
 */
interface SerializableFlow {
    /**
     *
     * @type {string}
     * @memberof SerializableFlow
     */
    'kind': SerializableFlowKindEnum;
    /**
     *
     * @type {string}
     * @memberof SerializableFlow
     */
    'type': SerializableFlowTypeEnum;
    /**
     *
     * @type {string}
     * @memberof SerializableFlow
     */
    'uid': string;
    /**
     *
     * @type {string}
     * @memberof SerializableFlow
     */
    'sid': string;
    /**
     *
     * @type {number}
     * @memberof SerializableFlow
     */
    'version': number;
    /**
     *
     * @type {FlowResponseBodyState}
     * @memberof SerializableFlow
     */
    'state': FlowResponseBodyState;
}
declare const SerializableFlowKindEnum: {
    readonly Flow: "flow";
};
type SerializableFlowKindEnum = typeof SerializableFlowKindEnum[keyof typeof SerializableFlowKindEnum];
declare const SerializableFlowTypeEnum: {
    readonly Flow: "flow";
};
type SerializableFlowTypeEnum = typeof SerializableFlowTypeEnum[keyof typeof SerializableFlowTypeEnum];
/**
 *
 * @export
 * @enum {string}
 */
declare const StartIntent: {
    readonly Start: "start";
};
type StartIntent = typeof StartIntent[keyof typeof StartIntent];
/**
 *
 * @export
 * @interface TimeoutErrorResponseBody
 */
interface TimeoutErrorResponseBody {
    /**
     *
     * @type {InternalServerErrorResponseBodyCode}
     * @memberof TimeoutErrorResponseBody
     */
    'code': InternalServerErrorResponseBodyCode;
    /**
     *
     * @type {string}
     * @memberof TimeoutErrorResponseBody
     */
    'details': string;
}
/**
 *
 * @export
 * @interface UnauthorizedErrorResponseBody
 */
interface UnauthorizedErrorResponseBody {
    /**
     *
     * @type {UnauthorizedErrorResponseBodyCode}
     * @memberof UnauthorizedErrorResponseBody
     */
    'code': UnauthorizedErrorResponseBodyCode;
    /**
     *
     * @type {string}
     * @memberof UnauthorizedErrorResponseBody
     */
    'details': string;
}
/**
 *
 * @export
 * @interface UnauthorizedErrorResponseBodyCode
 */
interface UnauthorizedErrorResponseBodyCode {
}
/**
 * APIApi - axios parameter creator
 * @export
 */
declare const APIApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} blockUid
     * @param {string} uid
     * @param {BlockIntent} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    blockGoToIntent: (version: number, userIdentifier: string, blockUid: string, uid: string, intent: BlockIntent, groupIdentifier?: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {BlockIntent} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    blockIntent: (version: number, userIdentifier: string, uid: string, intent: BlockIntent, groupIdentifier?: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {FlowIntentIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    flowIntent: (version: number, userIdentifier: string, uid: string, intent: FlowIntentIntentParameter, groupIdentifier?: string, includeBlock?: boolean, includeBlockJourney?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {BlockIntent} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getBlocks: (version: number, userIdentifier: string, uid: string, intent: BlockIntent, groupIdentifier?: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {string} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFlow: (version: number, userIdentifier: string, uid: string, intent: string, groupIdentifier?: string, includeBlock?: boolean, includeBlockJourney?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * APIApi - functional programming interface
 * @export
 */
declare const APIApiFp: (configuration?: Configuration) => {
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} blockUid
     * @param {string} uid
     * @param {BlockIntent} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    blockGoToIntent(version: number, userIdentifier: string, blockUid: string, uid: string, intent: BlockIntent, groupIdentifier?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {BlockIntent} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    blockIntent(version: number, userIdentifier: string, uid: string, intent: BlockIntent, groupIdentifier?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {FlowIntentIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    flowIntent(version: number, userIdentifier: string, uid: string, intent: FlowIntentIntentParameter, groupIdentifier?: string, includeBlock?: boolean, includeBlockJourney?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {BlockIntent} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getBlocks(version: number, userIdentifier: string, uid: string, intent: BlockIntent, groupIdentifier?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SerializableBlock>>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {string} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFlow(version: number, userIdentifier: string, uid: string, intent: string, groupIdentifier?: string, includeBlock?: boolean, includeBlockJourney?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<FlowResponseBody>>;
};
/**
 * APIApi - factory interface
 * @export
 */
declare const APIApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} blockUid
     * @param {string} uid
     * @param {BlockIntent} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    blockGoToIntent(version: number, userIdentifier: string, blockUid: string, uid: string, intent: BlockIntent, groupIdentifier?: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {BlockIntent} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    blockIntent(version: number, userIdentifier: string, uid: string, intent: BlockIntent, groupIdentifier?: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {FlowIntentIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    flowIntent(version: number, userIdentifier: string, uid: string, intent: FlowIntentIntentParameter, groupIdentifier?: string, includeBlock?: boolean, includeBlockJourney?: boolean, options?: any): AxiosPromise<void>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {BlockIntent} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getBlocks(version: number, userIdentifier: string, uid: string, intent: BlockIntent, groupIdentifier?: string, options?: any): AxiosPromise<SerializableBlock>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {string} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFlow(version: number, userIdentifier: string, uid: string, intent: string, groupIdentifier?: string, includeBlock?: boolean, includeBlockJourney?: boolean, options?: any): AxiosPromise<FlowResponseBody>;
};
/**
 * APIApi - object-oriented interface
 * @export
 * @class APIApi
 * @extends {BaseAPI}
 */
declare class APIApi extends BaseAPI {
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} blockUid
     * @param {string} uid
     * @param {BlockIntent} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof APIApi
     */
    blockGoToIntent(version: number, userIdentifier: string, blockUid: string, uid: string, intent: BlockIntent, groupIdentifier?: string, options?: AxiosRequestConfig): Promise<axios.AxiosResponse<void, any>>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {BlockIntent} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof APIApi
     */
    blockIntent(version: number, userIdentifier: string, uid: string, intent: BlockIntent, groupIdentifier?: string, options?: AxiosRequestConfig): Promise<axios.AxiosResponse<void, any>>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {FlowIntentIntentParameter} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof APIApi
     */
    flowIntent(version: number, userIdentifier: string, uid: string, intent: FlowIntentIntentParameter, groupIdentifier?: string, includeBlock?: boolean, includeBlockJourney?: boolean, options?: AxiosRequestConfig): Promise<axios.AxiosResponse<void, any>>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {BlockIntent} intent
     * @param {string} [groupIdentifier]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof APIApi
     */
    getBlocks(version: number, userIdentifier: string, uid: string, intent: BlockIntent, groupIdentifier?: string, options?: AxiosRequestConfig): Promise<axios.AxiosResponse<SerializableBlock, any>>;
    /**
     *
     * @param {number} version
     * @param {string} userIdentifier
     * @param {string} uid
     * @param {string} intent
     * @param {string} [groupIdentifier]
     * @param {boolean} [includeBlock]
     * @param {boolean} [includeBlockJourney]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof APIApi
     */
    getFlow(version: number, userIdentifier: string, uid: string, intent: string, groupIdentifier?: string, includeBlock?: boolean, includeBlockJourney?: boolean, options?: AxiosRequestConfig): Promise<axios.AxiosResponse<FlowResponseBody, any>>;
}

export { APIApi, APIApiAxiosParamCreator, APIApiFactory, APIApiFp, BadRequestErrorResponseBody, BadRequestErrorResponseBodyCode, BlockIntent, BlockIntentRequestParams, BlockQueryString, BlockRequestParams, CompleteIntent, Configuration, ConfigurationParameters, ExitIntent, FlowIntent, FlowIntentIntentParameter, FlowIntentRequestParams, FlowQueryString, FlowRequestParams, FlowResponseBody, FlowResponseBodyBlocksInner, FlowResponseBodyBlocksInnerKindEnum, FlowResponseBodyBlocksInnerTypeEnum, FlowResponseBodyKindEnum, FlowResponseBodyState, FlowResponseBodyTypeEnum, GoToIntent, GoToQueryString, Group, GroupKindEnum, GroupState, GroupTypeEnum, HealthCheckResponseBody, InternalServerErrorResponseBody, InternalServerErrorResponseBodyCode, Model, ModelFieldsInner, ModelFieldsInnerAnyOf, ModelFieldsInnerAnyOf1, ModelFieldsInnerAnyOf1TypeEnum, ModelFieldsInnerAnyOf1Value, ModelFieldsInnerAnyOf2, ModelFieldsInnerAnyOf2TypeEnum, ModelFieldsInnerAnyOf2Value, ModelFieldsInnerAnyOfTypeEnum, ModelFieldsInnerAnyOfValue, ModelFieldsInnerTypeEnum, ModelKindEnum, ModelTypeEnum, NextIntent, NotFoundErrorResponseBody, NotFoundErrorResponseBodyCode, PrevIntent, ResetIntent, SerializableBlock, SerializableBlockKindEnum, SerializableBlockTypeEnum, SerializableFlow, SerializableFlowKindEnum, SerializableFlowTypeEnum, StartIntent, TimeoutErrorResponseBody, UnauthorizedErrorResponseBody, UnauthorizedErrorResponseBodyCode };
